﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

using Steema.TeeChart;

namespace ChartConfig
{
    public class ChartConfig
    {
        public static TChart createConfiguredChart(Font font)
        {
            Steema.TeeChart.TChart Chart = new Steema.TeeChart.TChart();
            Chart.Height = 550;
            Chart.Width = 710;
            //Chart.Dock = DockStyle.Fill;

            Chart.Aspect.View3D = false;

            Chart.Panel.Gradient.Visible = false;
            Chart.Panel.Pen.Visible = false;
            Chart.Panel.Color = ColorTranslator.FromHtml("#e9f6fd");
            Chart.Panel.Bevel.Outer = Steema.TeeChart.Drawing.BevelStyles.None;
            Chart.Panel.MarginUnits = PanelMarginUnits.Pixels;
            Chart.Panel.MarginRight = 15;
            Chart.Panel.MarginBottom = 140;
            Chart.Panel.MarginTop = 75;

            Chart.Header.CustomPosition = true;
            Chart.Header.Left = 30;
            Chart.Header.Top = 20;
            Chart.Header.Font.Size = 11;
            //Chart.Header.Font.Bold = true;
            Chart.Header.Font.Color = Color.Black;
            Chart.Header.Font.DrawingFont = font;
            Chart.Header.TextFormat = Steema.TeeChart.Drawing.TextFormat.Html;
            Chart.Header.Text = "HEADER Font Test";

            Chart.Walls.Left.Visible = false;
            Chart.Walls.Right.Visible = false;
            Chart.Walls.Back.Visible = false;
            Chart.Walls.Bottom.Visible = false;

            Chart.Axes.Left.Grid.Style = System.Drawing.Drawing2D.DashStyle.Solid;
            Chart.Axes.Left.Grid.Color = Color.Black;
            Chart.Axes.Left.Ticks.Visible = false;
            Chart.Axes.Left.MinorTicks.Visible = false;
            Chart.Axes.Left.AxisPen.Visible = false;

            Chart.Axes.Bottom.Grid.Visible = false;
            Chart.Axes.Bottom.Ticks.Visible = false;
            Chart.Axes.Bottom.MinorTicks.Visible = false;
            Chart.Axes.Bottom.AxisPen.Color = Color.Black;
            Chart.Axes.Bottom.AxisPen.Width = 1;

            Chart.Footer.Font.Color = Color.Gray;

            Chart.Legend.Visible = true;
            Chart.Legend.Shadow.Visible = false;
            Chart.Legend.Pen.Visible = false;
            Chart.Legend.Color = ColorTranslator.FromHtml("#ceeafa");

            Chart.Legend.CustomPosition = true;
            //Chart.Legend.Alignment = LegendAlignments.Bottom;
            Chart.Legend.AutoSize = false;
            Chart.Legend.Height = 130;
            Chart.Legend.Width = 710;
            Chart.Legend.VertSpacing = 10;
            //Chart.Legend.ShapeBounds = new Rectangle(Chart.Legend.ShapeBounds.X, Chart.Legend.ShapeBounds.Y, 125, 125);  //this does the same than the two lines above
            Chart.Legend.Left = 0;
            Chart.Legend.Top = 420;
            Chart.Legend.ResizeChart = true;

            Chart.Legend.Font.DrawingFont = font;

            Chart.Legend.Symbol.DefaultPen = false;
            Chart.Legend.Symbol.Pen.Visible = false;
            Chart.Legend.Symbol.WidthUnits = LegendSymbolSize.Pixels;
            Chart.Legend.Symbol.Width = 25;

            for (int i = 0; i < 9; i++)
            {
                new Steema.TeeChart.Styles.Line(Chart.Chart);
                Chart.Series[i].FillSampleValues();
            }
            Chart.Draw();

            Chart.Series[0].Color = ColorTranslator.FromHtml("#3db7e4");
            Chart.Series[1].Color = ColorTranslator.FromHtml("#053762");
            Chart.Series[2].Color = ColorTranslator.FromHtml("#6a0041");
            Chart.Series[3].Color = ColorTranslator.FromHtml("#676535");
            Chart.Series[4].Color = ColorTranslator.FromHtml("#df8d2f");
            Chart.Series[5].Color = ColorTranslator.FromHtml("#24a78f");
            Chart.Series[6].Color = ColorTranslator.FromHtml("#c6d644");
            Chart.Series[7].Color = ColorTranslator.FromHtml("#cc1c55");
            Chart.Series[8].Color = ColorTranslator.FromHtml("#5b3900");

            foreach (Steema.TeeChart.Styles.Series s in Chart.Series)
            {
                if (s is Steema.TeeChart.Styles.Line)
                    ((Steema.TeeChart.Styles.Line)s).LinePen.Width = 4;
            }

            return Chart;
        }
    }
}
